Skip to main content
GET
/
events
/
tickets
/
v1
/
{id}
Retrieve a ticket
curl --request GET \
  --url https://api.spacebring.com/events/tickets/v1/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "ticket": {
    "createDate": "2023-11-07T05:31:56Z",
    "event": {
      "endDate": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "location": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "timezoneId": "<string>",
        "title": "<string>"
      },
      "media": [
        {
          "key": "<string>",
          "url": "<string>"
        }
      ],
      "startDate": "2023-11-07T05:31:56Z",
      "title": "<string>",
      "venue": "<string>"
    },
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "about": "<string>",
      "email": "<string>",
      "name": "<string>",
      "phoneNumber": "<string>",
      "photoUrl": "<string>",
      "surname": "<string>"
    },
    "checkInDate": "2023-11-07T05:31:56Z",
    "deleteDate": "2023-11-07T05:31:56Z",
    "membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "payment": {
      "discounts": [
        {
          "coupon": {
            "amountOff": 123,
            "currencyCode": "<string>",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "percentOff": 123,
            "type": "<string>"
          },
          "promocode": {
            "code": "<string>",
            "expiration": {
              "enabled": true,
              "date": "<string>"
            },
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "limitByFirstPurchase": true
          },
          "subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "method": {
        "credits": {
          "customer": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "location": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "title": "<string>"
            },
            "name": "<string>",
            "surname": "<string>",
            "title": "<string>"
          }
        },
        "external": {
          "customer": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "location": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "title": "<string>"
            },
            "name": "<string>",
            "surname": "<string>",
            "title": "<string>"
          },
          "location": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "title": "<string>"
          }
        },
        "invoice": {
          "customer": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "location": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "title": "<string>"
            },
            "name": "<string>",
            "surname": "<string>",
            "title": "<string>"
          }
        },
        "paymentGateway": {
          "customer": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "location": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "title": "<string>"
            },
            "name": "<string>",
            "surname": "<string>",
            "title": "<string>"
          },
          "location": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "title": "<string>"
          },
          "label": "<string>",
          "mask": "<string>",
          "title": "<string>",
          "type": "<string>"
        }
      },
      "price": {
        "credits": {
          "expiringAmount": 123,
          "permanentAmount": 123
        },
        "money": {
          "currencyCode": "<string>",
          "grossAmount": 123
        }
      },
      "refundable": true,
      "createDate": "2023-11-07T05:31:56Z",
      "dispute": {
        "createDate": "2023-11-07T05:31:56Z"
      },
      "invoiceItemRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "refund": {
        "credits": {
          "amountExpiring": 123,
          "amountPermanent": 123,
          "amountTotal": 123,
          "createDate": "2023-11-07T05:31:56Z"
        },
        "money": {
          "createDate": "2023-11-07T05:31:56Z",
          "currencyCode": "<string>",
          "grossAmount": 123
        },
        "transactionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "refunds": {
        "credits": [
          {
            "amountExpiring": 123,
            "amountPermanent": 123,
            "amountTotal": 123,
            "createDate": "2023-11-07T05:31:56Z",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        ],
        "money": [
          {
            "createDate": "2023-11-07T05:31:56Z",
            "currencyCode": "<string>",
            "grossAmount": 123,
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        ]
      },
      "request": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "url": "<string>"
      },
      "surcharge": {
        "money": {
          "amount": 123,
          "currencyCode": "<string>",
          "percentage": 123,
          "rate": 123
        },
        "type": "money"
      },
      "transactionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  }
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Path Parameters

id
string<uuid>
required

The id of the event ticket.

Response

OK

ticket
object